package example.servlet;

import java.io.IOException;
import java.util.Iterator;
import java.util.List;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.fileupload.FileItem;
import org.apache.commons.fileupload.FileUpload;
import org.apache.commons.fileupload.FileUploadException;

import example.dao.ImageDao;
import example.dao.InfoDao;

/**
 * t@CAbv[hServlet1
 * it@N^OOj
 */
public class FileUploadServlet1 extends HttpServlet {
	protected void doPost(HttpServletRequest req, HttpServletResponse res)
			throws ServletException, IOException {
		try {
			// Abv[hꂽt@C擾
			FileUpload fileUpload = new FileUpload();
			fileUpload.setSizeMax(1000000);
			
			// }`p[gf[^擾
			List fileItems = fileUpload.parseRequest(req);

			// iR[h̎擾
			String itemCode = null;
			for (Iterator iter = fileItems.iterator(); iter.hasNext();) {
				FileItem item = (FileItem) iter.next();
				if ("code".equals(item.getFieldName())) {
					itemCode = item.getString();
				}
			}
			
			// Abv[hꂽt@C̏
			for (Iterator iter = fileItems.iterator(); iter.hasNext();) {
				FileItem item = (FileItem) iter.next();
				if ("file".equals(item.getFieldName())) {
					String filename = item.getName();
					byte[] data = item.get();
					// t@C摜ꍇ
					if ("item.jpg".equals(filename)) {
						ImageDao dao = new ImageDao();
						dao.update(itemCode, filename, data);
					// t@Cinfo.txtꍇ
					} else if ("info.txt".equals(filename)) {
						InfoDao dao = new InfoDao();
						String info = new String(data, "Windows-31J");
						dao.update(itemCode, info);
					}
				}
			}
			res.getWriter().write("OK!");
		} catch (FileUploadException e) {
			throw new ServletException(e.getMessage(), e);
		}
	}
}