package runtimeexception;

import java.io.IOException;
import java.sql.Connection;
import java.sql.SQLException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class ServletB extends HttpServlet {
	Log log = LogFactory.getLog(ServletB.class);
	protected void doGet(HttpServletRequest req, HttpServletResponse res)
	throws ServletException, IOException {
		try {
			Logic logic = new Logic();
			logic.execute();
		} catch (RuntimeException e) {
			log.error(e.getMessage(), e);
			// G[ʂ
		}
	}	
}

class Logic {
	void execute() {
		// OȂȂVvɁI
		Dao dao = new Dao();
		dao.update();
	}
}

class Dao {
	Connection conn;
	void update() {
		try {
			// SQLException̔̉\I
			conn.createStatement();
		} catch (SQLException e) {
			throw new SQLRuntimeException(e);
		}
		
	}
}

class SQLRuntimeException extends RuntimeException {
	public SQLRuntimeException(Throwable t) {
		super(t);
	}
}