package example.util;

import java.util.Iterator;
import java.util.List;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.fileupload.DiskFileUpload;
import org.apache.commons.fileupload.FileItem;
import org.apache.commons.fileupload.FileUpload;
import org.apache.commons.fileupload.FileUploadException;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Jakarta Commons FileUpload̃[eBeBNX
 */
public class UploadUtil {
	/** O */
	private static final Log log = LogFactory.getLog(UploadUtil.class);
	/**
	 * ACeXgw肳ꂽOFileItem擾܂B
	 */ 
	public static FileItem getFileItem(List fileItems, String name) {
		for (Iterator iter = fileItems.iterator(); iter.hasNext();) {
			FileItem item = (FileItem) iter.next();
			if (item.getFieldName().equals(name)) {
				return item;
			}
		}
		return null;
	}
	/**
	 * ACeXgw肳ꂽtB[h̒l擾܂B
	 */
	public static String getParameter(List fileItems, String name) {
		return getFileItem(fileItems, name).getString();
	}
	/**
	 * NGXgp[XāAACeXg擾܂B
	 */
	public static List parseRequest(HttpServletRequest req, int maxFileSize) {
		DiskFileUpload fileUpload = new DiskFileUpload();
		fileUpload.setSizeMax(maxFileSize);
		boolean b = FileUpload.isMultipartContent(req);
		
		try {
			return fileUpload.parseRequest(req);
		} catch (FileUploadException e) {
			log.error(e.getMessage(), e);
			throw new FileUploadRuntimeException(e);
		}

	}
}
