package template;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Servlet̒ۃNXB
 * SĂ̋Ɩ͂Servletpč쐬܂B
 */
abstract public class AbstractServlet extends HttpServlet {
	private static final Log log = LogFactory.getLog(AbstractServlet.class);
	/**
	 * executeɏn
	 */
	protected void doPost(HttpServletRequest req, HttpServletResponse res)
			throws ServletException, IOException {
		execute(req, res);
	}
	/**
	 * executeɏn
	 */
	protected void doGet(HttpServletRequest req, HttpServletResponse res)
			throws ServletException, IOException {
		execute(req, res);
	}
	/**
	 * Servlet̋ʓIȈȀs܂B
	 */
	protected void execute(HttpServletRequest req, HttpServletResponse res)
			throws ServletException, IOException {
		
		// @O
		doSetup(req, res);
		
		// A`FbN
		boolean auth = doAuth(req, res);
		if (!auth) {
			req.getRequestDispatcher("/error.jsp").forward(req, res);
		}
		// BƖ
		doExecute(req, res);
		
	}
	/**
	 * Os郁\bhłB
	 * KvɉĉʃNXŃI[o[hĂB
	 */
	protected void doSetup(HttpServletRequest req, HttpServletResponse res)
	throws ServletException, IOException {
		log.debug("call " + getClass().getName() + "#doSetup");
	}
	/**
	 * `FbNȂ\bhłB
	 * ʃNXŎĂB
	 * falseԂƌȂƂ݂ȂAG[ʂ֑Jڂ܂B
	 */
	abstract protected boolean doAuth(HttpServletRequest req, HttpServletResponse res)
	throws ServletException, IOException;
	/**
	 * Cs郁\bhłB
	 * ʃNXŎĂB
	 */
	abstract protected void doExecute(HttpServletRequest req, HttpServletResponse res)
	throws ServletException, IOException;
}